import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const provinceDispenserGetStewardService = createAsyncThunk(
  "PROVINCE-DISPENSER-STEWARD-SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("get_all_guilds/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
